# status.tcl --
#
# Copyright (c) 1996-1997 Daniel M. Wu
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

proc status {w} {
    global $w stFont
    set $w ""
    label $w -font $stFont -borderwidth 1 -justify left \
	-textvariable $w -relief raised -anchor w
}

proc printStatus {w {msg ""}} {
    global $w stLastTimer
    set $w $msg
    update
    catch { after cancel $stLastTimer }
    set stLastTimer [after 5000 "set $w \"\" ; unset stLastTimer"]
}

proc printStatusHelp {w {msg ""}} {
    global $w stLastTimer
    if {![info exists stLastTimer]} {
       set $w $msg
    }
    update
}

